All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::String Class Reference

## Static Public Member Functions

static const char * | CloneCString (const char *c_str)
static bool | CStringEquals (const char *lhs, const char *rhs)
static std::string | ShowWideCString (const wchar_t *wide_c_str)
static bool | WideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static bool | CaseInsensitiveCStringEquals (const char *lhs, const char *rhs)
static bool | CaseInsensitiveWideCStringEquals (const wchar_t *lhs, const wchar_t *rhs)
static bool | EndsWithCaseInsensitive (const std::string &str, const std::string &suffix)
static std::string | FormatIntWidth2 (int value)
static std::string | FormatHexInt (int value)
static std::string | FormatByte (unsigned char value)

## Detailed Description

Definition at line 58 of file gtest-string.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-string.h